Subject: Re: bug#8889: 23.3; disable-theme doesn't undo changes

From: Chong Yidong <[email-masked]>
Date: Sat, 18 Jun 2011 14:50:08 -0400

Dave Abrahams <[email-masked]> writes:

> I am using the magit package and I loaded/enabled magit-classic-theme
> from its contrib directory (not much to it; see
> https://github.com/magit/magit/blob/master/contrib/magit-classic-theme.el)
> then I did `M-x disable-theme magit-classic RET' and the
> magit-item-highlight face had a white background instead of its
> original sea green.  I found that very surprising.  Is it expected?

I've found and fixed a bug in this area.  However, since I don't use
magit, I don't know if it's the same bug you reported.  Can you try
again with the latest trunk and see if it's fixed?